/*!
 * gitmars v4.0.0-alpha.19
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
const i18n = { __: (txt) => txt };
const cmdConfig = {
  command: "copy",
  short: "cp",
  args: [
    {
      required: false,
      name: "commitid",
      variadic: true,
      validator: (val, opts, cb) => {
        cb();
      },
      description: i18n.__("Commit record ID")
    }
  ],
  options: [
    {
      flags: "-s, --source [source]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-s",
      long: "--source",
      negate: false,
      description: i18n.__("Copy the source branch of the record"),
      defaultValue: ""
    },
    {
      flags: "-k, --key [keyword]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-k",
      long: "--key",
      negate: false,
      description: i18n.__("Fuzzy search for commit message keywords"),
      defaultValue: ""
    },
    {
      flags: "-a, --author [author]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-a",
      long: "--author",
      negate: false,
      description: i18n.__("Submitter"),
      defaultValue: ""
    }
  ],
  validatorOpts: (val, opts, cb) => {
    cb();
  },
  validatorArgs: (val, opts, cb) => {
    cb();
  },
  transformOpts: (val, opts, cb) => {
    cb();
  },
  transformArgs: (val, opts, cb) => {
    cb();
  }
};

export { cmdConfig, cmdConfig as default };
