/*!
 * gitmars v4.0.0-alpha.19
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
const i18n = { __: (txt) => txt };
const cmdConfig = {
  command: "redo",
  short: "rd",
  args: [
    {
      required: false,
      name: "commitid",
      variadic: true,
      validator: (val, opts, cb) => {
        cb();
      },
      description: i18n.__("The undo log to be restored")
    }
  ],
  options: [
    {
      flags: "-m, --mode [mode]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-m",
      long: "--mode",
      negate: false,
      description: i18n.__(
        "For undoing a merge record, the type to be passed in: 1 = keep current branch code, 2 = keep incoming code"
      ),
      defaultValue: null,
      options: [1, 2],
      value: null
    }
  ],
  validatorOpts: (val, opts, cb) => {
    cb();
  },
  validatorArgs: (val, opts, cb) => {
    cb();
  },
  transformOpts: (val, opts, cb) => {
    cb();
  },
  transformArgs: (val, opts, cb) => {
    cb();
  }
};

export { cmdConfig, cmdConfig as default };
