/*!
 * gitmars v4.0.0-alpha.19
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
const i18n = { __: (txt) => txt };
const cmdConfig = {
  command: "start",
  short: "st",
  args: [
    {
      required: true,
      name: "type",
      variadic: false,
      description: i18n.__("Branch Type"),
      options: ["feature", "bugfix", "support"],
      value: ""
    },
    {
      required: true,
      name: "name",
      variadic: false,
      description: i18n.__("Branch name (without feature/bugfix prefix)")
    }
  ],
  options: [
    {
      flags: "-t, --tag <tag>",
      required: true,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-t",
      long: "--tag",
      negate: false,
      description: i18n.__("Create branch from tag"),
      defaultValue: "",
      recommend: false
    }
  ]
};

export { cmdConfig, cmdConfig as default };
