#!/usr/bin/env node
/*!
 * gitmars v4.0.0-alpha.19
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import { program } from 'commander';
import sendGroupMessage from '@gitmars/core/lib/sendGroupMessage';
import { createArgs } from '@gitmars/core/lib/utils/command';
import postmsgConfig from '#lib/conf/postmsg';
import i18n from '#lib/locales/index';

const { args, options } = postmsgConfig;
program.name("gitm postmsg").usage("<message> [-u --url [url]]").description(i18n.__("Send group message"));
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((message, opt) => {
  sendGroupMessage(message, opt.url || "");
});
program.parse(process.argv);
