/*!
 * gitmars v4.0.0-alpha.19
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import { dirname, join } from 'path';
import { fileURLToPath } from 'url';
import { I18n } from 'i18n';
import { osLocaleSync } from 'os-locale';

const __filename = fileURLToPath(import.meta.url);
const __dirname = dirname(__filename);
const locales = ["en-US", "zh-CN"];
const locale = process.env.GITMARS_LANG || osLocaleSync();
const i18n = new I18n({
  locales,
  fallbacks: { "en-*": "en-US", "zh-*": "zh-CN" },
  defaultLocale: locales.includes(locale) ? locale : "en-US",
  directory: join(__dirname, ".")
});

export { i18n as default };
